package net.javase.hksup.starter.model;

import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * SearchFaceInfoParam
 *
 * @author Frank
 */
@Getter
@Setter
public class SearchFaceInfoParam implements Serializable {

    private Integer searchResultPosition = 0;

    private Integer maxResults = 30;

    private String faceLibType = "blackFD";

    private String FDID = "1";

    private String FPID;

    public SearchFaceInfoParam() {
    }

    public SearchFaceInfoParam(String FPID) {
        this.FPID = FPID;
    }

    public SearchFaceInfoParam(Integer searchResultPosition, Integer maxResults, String faceLibType, String FDID, String FPID) {
        this.searchResultPosition = searchResultPosition;
        this.maxResults = maxResults;
        this.faceLibType = faceLibType;
        this.FDID = FDID;
        this.FPID = FPID;
    }
}
